#!/bin/sh

## make root file system writable

sudo mount -uw /

## Remove FakeSMC extensions

sudo /bin/rm -rf /System/Library/Extensions/FakeSMC_CPUSensors.kext
sudo /bin/rm -rf /System/Library/Extensions/FakeSMC_GPUSensors.kext
sudo /bin/rm -rf /System/Library/Extensions/FakeSMCKeyStore.kext

## rebild prelinked kernel

sudo /usr/sbin/kextcache -i /

## move the newly linked kernel in place, 10.15 only

if [ -f /usr/sbin/kcditto ]; then

    sudo /usr/sbin/kcditto

fi


## Forget we ever got installed

sudo /usr/sbin/pkgutil --forget de.mtb11.pkg.FakeSMC

exit 0
